Bug 990805 - Review Request: winswitch - A tool which allows you to display running applications on other computers [NEEDINFO]
Review Request: winswitch - A tool which allows you to display running applic...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On: 928609 1198312
Blocks: 1243530
  Show dependency treegraph
 
Reported: 2013-07-31 23:40 EDT by Christopher Meng
Modified: 2015-07-15 13:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1243530 (view as bug list)
Environment:
Last Closed: 2015-07-15 13:00:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review?
jonathan.underwood: needinfo? (i)


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-07-31 23:40:31 EDT
Spec URL: http://cicku.me/winswitch.spec
SRPM URL: http://cicku.me/winswitch-0.12.19-1.fc20.src.rpm
Description: Window Switch is a tool which allows you to display running applications on 
other computers than the one you start them on. Once an application has been 
started via a winswitch server, it can be displayed on other machines running 
winswitch client, as required.

You no longer need to save and send documents to move them around, simply 
move the view of the application to the machine where you need to access it.
Fedora Account System Username: cicku
Comment 1 T.C. Hollingsworth 2013-08-01 03:46:31 EDT
> %files
> %{_datadir}/Thunar/sendto/thunar-%{name}.desktop

This directory is not owned by this package or by any Requires.

Since Thunar is probably not required to use this package, you probably want to co-own the directory with Thunar.

For more information, see:
https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

> %{_libdir}/nautilus/extensions-2.0/python/nautilus_%{name}.*

This directory is also not owned by this package or by any Requires.

Since nautilus is probably not required to use this package, you probably want to co-own this directory as well.

This package fails to build due to issues with the %files list:

> RPM build errors:
>     File not found by glob: /home/tc/rpmbuild/BUILDROOT/winswitch-0.12.19-1.fc19.x86_64/usr/lib64/nautilus/extensions-2.0/python/nautilus_winswitch.*
>     File not found: /home/tc/rpmbuild/BUILDROOT/winswitch-0.12.19-1.fc19.x86_64/usr/lib64/python2.7/site-packages/winswitch-0.12.19-py2.7.egg-info
>     File not found: /home/tc/rpmbuild/BUILDROOT/winswitch-0.12.19-1.fc19.x86_64/usr/lib64/python2.7/site-packages/winswitch

Looks like you need to use %{python_sitelib} instead of %{python_sitearch} for the second two.  I'm not sure what the deal is with nautilus.
Comment 2 T.C. Hollingsworth 2013-08-01 03:52:13 EDT
(In reply to T.C. Hollingsworth from comment #1)
> I'm not sure what the deal is with nautilus.

Ah, this should use %{_prefix}/lib, not %{_libdir}.

There actually seems to be no arch-specific content here that I can see?  If so, this package should be "BuildArch: noarch".
Comment 3 Jonathan Underwood 2015-03-25 10:26:32 EDT
Links to Spec and SRPM are dead unfortunately. I was thinking about reviving this package review now that xpra is in the repos. 

@Christopher: can you give an update on this? Thanks.
Comment 5 Jonathan Underwood 2015-07-15 13:00:40 EDT
Closing this, and opening another review request with packages I just made.
Comment 6 Jonathan Underwood 2015-07-15 13:01:31 EDT
New review request at BZ #1243530

Note You need to log in before you can comment on or make changes to this bug.